local isDataScanningForMisc = script["Data Link"].Value.isDataScanningForMisc

isDataScanningForMisc.Changed:Connect(function()
	if isDataScanningForMisc.Value == true then
		script.Parent.Color = Color3.fromRGB(0, 255, 0)
	end
	if isDataScanningForMisc.Value == false then
		script.Parent.Color = Color3.fromRGB(196, 40, 28)
	end
end)